Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex
Interface Text

    public interface Text

This class class organizes textual information for the main classes. Texts are externalized in this class to make them better accessible (and maybe store them externally in future to support different languages).

Author:
  Workgroup DBIS, University of Konstanz 2005-07, ISC License, Christian Gruen

Field Summary
`static java.lang.String[]` | `CLIENTBYE` Good-Bye Information.
`static java.lang.String` | `CLIENTINFO` Start Information.
`static java.lang.String` | `CLIENTLOCAL` BaseX Console.
`static java.lang.String` | `CLIENTSERVER` BaseX Console.
`static java.lang.String` | `COMPANY` Company Info.
`static java.lang.String` | `CONSOLE` BaseX Text.
`static java.lang.String` | `INFO` BaseX Text.
`static java.lang.String` | `INPUT` BaseX Prompt.
`static java.lang.String` | `INPUTCONT` BaseX Prompt.
`static java.lang.String` | `INVRUNS` File not found.
`static java.lang.String` | `LOCALCMD` Local command error.
`static java.lang.String` | `LOCALFILE` File not found.
`static java.lang.String` | `LOCALINFO` Start Information.
`static java.lang.String` | `NAME` Project name.
`static java.lang.String` | `NL` New Line //String.
`static java.lang.String` | `PROPERR` Property error.
`static java.lang.String` | `PROPHEADER` Property information.
`static java.lang.String` | `PROPIGNORE` Property error.
`static java.lang.String` | `PROPREAD` Property error.
`static java.lang.String` | `PROPUNKNOWN` Property error.
`static java.lang.String` | `PROPUSER` Property information.
`static java.lang.String` | `PROPWRITE` Property error.
`static java.lang.String` | `SERVERBIND` Server started.
`static java.lang.String` | `SERVERDEBUG` Server info.
`static java.lang.String` | `SERVERERR` Connection error.
`static java.lang.String` | `SERVERFULL` Slot error.
`static java.lang.String` | `SERVERINFO` Start Information.
`static java.lang.String` | `SERVERPORT` Port error.
`static java.lang.String` | `SERVERSTART` Server Start.
`static java.lang.String` | `SERVERSTOPPED` Server Stop.
`static java.lang.String` | `TITLE` BaseX GUI title.
`static java.lang.String` | `URL` URL.
`static java.lang.String` | `VERSION` Code version.
`static java.lang.String` | `XMARKOUT` XMark output.
`static java.lang.String` | `XMARKTIMER` XMark timer output.
`static java.lang.String` | `XMARKTOTAL` XMark Total timer output.

Field Detail

### CLIENTBYE

    static final java.lang.String[] CLIENTBYE

  Good-Bye Information.

### CLIENTINFO

    static final java.lang.String CLIENTINFO

  Start Information.

### CLIENTLOCAL

    static final java.lang.String CLIENTLOCAL

  BaseX Console.

  See Also:
    Constant Field Values

### CLIENTSERVER

    static final java.lang.String CLIENTSERVER

  BaseX Console.

  See Also:
    Constant Field Values

### COMPANY

    static final java.lang.String COMPANY

  Company Info.

  See Also:
    Constant Field Values

### CONSOLE

    static final java.lang.String CONSOLE

  BaseX Text.

### INFO

    static final java.lang.String INFO

  BaseX Text.

  See Also:
    Constant Field Values

### INPUT

    static final java.lang.String INPUT

  BaseX Prompt.

  See Also:
    Constant Field Values

### INPUTCONT

    static final java.lang.String INPUTCONT

  BaseX Prompt.

  See Also:
    Constant Field Values

### INVRUNS

    static final java.lang.String INVRUNS

  File not found.

  See Also:
    Constant Field Values

### LOCALCMD

    static final java.lang.String LOCALCMD

  Local command error.

  See Also:
    Constant Field Values

### LOCALFILE

    static final java.lang.String LOCALFILE

  File not found.

  See Also:
    Constant Field Values

### LOCALINFO

    static final java.lang.String LOCALINFO

  Start Information.

### NAME

    static final java.lang.String NAME

  Project name.

  See Also:
    Constant Field Values

### NL

    static final java.lang.String NL

  New Line //String.

### PROPERR

    static final java.lang.String PROPERR

  Property error.

  See Also:
    Constant Field Values

### PROPHEADER

    static final java.lang.String PROPHEADER

  Property information.

### PROPIGNORE

    static final java.lang.String PROPIGNORE

  Property error.

  See Also:
    Constant Field Values

### PROPREAD

    static final java.lang.String PROPREAD

  Property error.

  See Also:
    Constant Field Values

### PROPUNKNOWN

    static final java.lang.String PROPUNKNOWN

  Property error.

  See Also:
    Constant Field Values

### PROPUSER

    static final java.lang.String PROPUSER

  Property information.

  See Also:
    Constant Field Values

### PROPWRITE

    static final java.lang.String PROPWRITE

  Property error.

  See Also:
    Constant Field Values

### SERVERBIND

    static final java.lang.String SERVERBIND

  Server started.

  See Also:
    Constant Field Values

### SERVERDEBUG

    static final java.lang.String SERVERDEBUG

  Server info.

  See Also:
    Constant Field Values

### SERVERERR

    static final java.lang.String SERVERERR

  Connection error.

  See Also:
    Constant Field Values

### SERVERFULL

    static final java.lang.String SERVERFULL

  Slot error.

  See Also:
    Constant Field Values

### SERVERINFO

    static final java.lang.String SERVERINFO

  Start Information.

### SERVERPORT

    static final java.lang.String SERVERPORT

  Port error.

  See Also:
    Constant Field Values

### SERVERSTART

    static final java.lang.String SERVERSTART

  Server Start.

### SERVERSTOPPED

    static final java.lang.String SERVERSTOPPED

  Server Stop.

  See Also:
    Constant Field Values

### TITLE

    static final java.lang.String TITLE

  BaseX GUI title.

  See Also:
    Constant Field Values

### URL

    static final java.lang.String URL

  URL.

  See Also:
    Constant Field Values

### VERSION

    static final java.lang.String VERSION

  Code version.

  See Also:
    Constant Field Values

### XMARKOUT

    static final java.lang.String XMARKOUT

  XMark output.

  See Also:
    Constant Field Values

### XMARKTIMER

    static final java.lang.String XMARKTIMER

  XMark timer output.

  See Also:
    Constant Field Values

### XMARKTOTAL

    static final java.lang.String XMARKTOTAL

  XMark Total timer output.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD